* {
  box-sizing: border-box;
}

html,
body {
  font-family: "Inter";
  padding: 0;
  margin: 0;
  background-color: #f6f7f8;
}

.summary-overview {
  width: 560px;
  height: 562px;
}

.overview {
  width: 560px;
  height: 562px;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}

.summary {
  width: calc(100vw - 232px);
  height: calc(100vh - 96px);
  display: flex;
  flex-direction: column;
  justify-content: center;
  background-color: #f6f7f8;
  padding-left: 100px;
  padding-top: 30px;
  margin-left: 232px;
}

.headline {
  width: 625px;
  height: 73px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.headline > h1 {
  font-size: 61px;
  font-weight: 700;
}

.line {
  width: 3px;
  height: 59px;
  border-radius: 3px;
  background-color: #29abe2;
}

.headline > span {
  font-size: 27px;
  font-weight: 400;
  color: #2a3647;
}

.first-row {
  width: 560px;
  display: flex;
  justify-content: space-between;
  margin-top: 20px;
}

.first-row > a {
  text-decoration: none;
}

.to-do,
.done {
  width: 264px;
  height: 168px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgba(255, 255, 255, 1);
  border-radius: 30px;
  padding: 38px 19px;
  gap: 18px;
  box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.1);
}

.to-do:hover,
.done:hover {
  background-color: #2a3647;
  cursor: pointer;
  color: rgba(255, 255, 255, 1);
  transform: scale(1.1);
}

.to-do:hover .number-of span:nth-child(1),
.to-do:hover .number-of span:nth-child(2),
.done:hover .number-of span:nth-child(1),
.done:hover .number-of span:nth-child(2) {
  color: rgba(255, 255, 255, 1);
}

.to-do > img {
  width: 69px;
  height: 69px;
}

.number-of {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.number-of span:nth-child(2) {
  color: rgba(0, 0, 0, 1);
}

.number {
  font-size: 64px;
  font-weight: 600;
  color: rgba(0, 0, 0, 1);
}

.number-of-text {
  font-size: 20px;
  font-weight: 400;
  color: rgba(0, 0, 0, 1);
}

.done > img {
  width: 69px;
  height: 69px;
}

.second-row {
  width: 95%;
  display: flex;
  align-items: center;
  margin-top: 20px;
}

.second-row > a {
  text-decoration: none;
}

.second-row-left {
  width: 562px;
  height: 168px;
  display: flex;
  align-items: center;
  justify-content: space-around;
  background-color: rgba(255, 255, 255, 1);
  border-radius: 30px;
  gap: 61px;
  text-decoration: none;
  box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.1);
  padding: 28px 48px;
}

.second-row-left:hover .number-of span:nth-child(1),
.second-row-left:hover .number-of span:nth-child(2),
.second-row-left:hover,
.second-row-left:hover {
  background-color: #2a3647;
  cursor: pointer;
  color: rgba(255, 255, 255, 1);
  transform: scale(1.1);
}

.urgent {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.urgent > img {
  width: 60px;
  height: 60px;
}

.urgent-line {
  width: 2px;
  height: 102.02px;
  border-radius: 2px;
  background-color: #d1d1d1;
}

.dead-line {
  display: flex;
  flex-direction: column;
}

.dead-line-date {
  font-size: 21px;
  font-weight: 700;
  color: #2a3647;
}

.dead-line-date:hover {
  color: rgba(255, 255, 255, 1);
}

.second-row-left:hover .dead-line-date,
.second-row-left:hover .dead-line-upcoming-deadline {
  color: rgba(255, 255, 255, 1);
}

.dead-line-upcoming-deadline {
  font-size: 16px;
  font-weight: 400;
  color: #2a3647;
  line-height: 24px;
}

.third-row {
  width: 560px;
  display: flex;
  justify-content: space-between;
  margin-top: 20px;
}

.third-row a {
  text-decoration: none;
}

.third-row-tasks-in-board,
.third-row-tasks-in-progress,
.third-row-awaiting-feedback {
  width: 168px;
  height: 168px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  background-color: rgba(255, 255, 255, 1);
  border-radius: 30px;
  box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.1);
  padding: 0 25px;
}

.third-row-tasks-in-board:hover,
.third-row-tasks-in-progress:hover,
.third-row-awaiting-feedback:hover {
  cursor: pointer;
  background-color: #2a3647;
  color: rgba(255, 255, 255, 1);
  transform: scale(1.1);
}

.third-row-tasks-in-board:hover span:nth-child(1),
.third-row-tasks-in-board:hover .number-of-text,
.third-row-tasks-in-progress:hover span:nth-child(1),
.third-row-tasks-in-progress:hover .number-of-text,
.third-row-awaiting-feedback:hover span:nth-child(1),
.third-row-awaiting-feedback:hover .number-of-text {
  color: rgba(255, 255, 255, 1);
}

.greeting {
  display: flex;
  flex-direction: column;
  margin-left: 80px;
}

.greeting-message {
  font-size: 47px;
  font-weight: 500;
  color: #2a3647;
}

.greeting-person {
  font-size: 64px;
  font-weight: 700;
  color: #29abe2;
}

.headline-mobile {
  display: none;
}

#greeting-user {
  font-size: 64px;
  color: rgba(41, 171, 226, 1);
  font-weight: 700;
}

@media (max-width: 1330px) {
  .greeting {
    display: none;
  }
}

@media (max-width: 1000px) {
  .summary {
    margin-left: 152px;
  }
}

@media (max-width: 905px) {
  .headline {
    display: none;
  }

  .headline-mobile {
    display: block;
  }

  .headline-mobile > h1 {
    margin-block-start: 48px;
    margin-block-end: 8px;
  }

  .line {
    width: 90px;
    height: 3px;
    margin-top: 16px;
    margin-bottom: 40px;
  }
}

@media (max-width: 845px) {
  .summary {
    width: 80%;
    align-items: center;
  }

  .first-row,
  .second-row-left,
  .third-row {
    width: 500px;
  }

  .second-row {
    justify-content: center;
  }

  .to-do,
  .done {
    width: 234px;
    height: 138px;
  }

  .third-row-tasks-in-board,
  .third-row-tasks-in-progress,
  .third-row-awaiting-feedback {
    width: 138px;
    height: 138px;
  }
}

@media (max-width: 768px) {
  #summary {
    display: flex;
    justify-content: center;
  }

  .summary {
    height: unset;
    padding-left: 0;
    margin-left: 0;
  }
}

@media (max-width: 600px) {
  .number {
    font-size: 47px;
  }

  .number-of-text {
    font-size: 14px;
  }

  .to-do > img {
    width: 40px;
    height: 40px;
  }

  .done > img {
    width: 40px;
    height: 40px;
  }

  .urgent > img {
    width: 40px;
    height: 40px;
  }

  .to-do,
  .done {
    width: 180px;
    height: 110px;
  }

  .first-row {
    width: 100%;
    margin: unset;
  }

  .second-row {
    width: 100%;
    display: block;
  }

  .second-row-left {
    width: unset;
    height: 110px;
    padding: 14px 24px;
  }

  .dead-line-upcoming-deadline {
    font-size: 14px;
  }

  .dead-line-date {
    font-size: 16px;
  }

  .number-of span:nth-child(2) {
    font-size: 14px;
  }

  .third-row {
    width: 100%;
  }

  .third-row-tasks-in-board,
  .third-row-tasks-in-progress,
  .third-row-awaiting-feedback {
    width: 116px;
    height: 116px;
  }

  .second-row-left:hover .number-of span:nth-child(1),
  .second-row-left:hover .number-of span:nth-child(2),
  .second-row-left:hover,
  .second-row-left:hover {
    transform: scale(1);
  }
}

@media (max-width: 460px) {
  .summary {
    width: 95%;
  }

  .to-do,
  .done {
    width: 140px;
    height: 110px;
  }

  .number {
    font-size: 30px;
  }

  .number-of span:nth-child(2) {
    font-size: 10px;
  }

  .to-do > img {
    width: 35px;
    height: 35px;
  }

  .done > img {
    width: 35px;
    height: 35px;
  }

  .urgent > img {
    width: 35px;
    height: 35px;
  }

  .second-row-left {
    gap: 8px;
    padding: 0;
  }

  .third-row {
    justify-content: space-between;
    align-items: center;
    margin-bottom: 100px;
  }

  .third-row-tasks-in-board,
  .third-row-tasks-in-progress,
  .third-row-awaiting-feedback {
    width: 90px;
    height: 90px;
    padding: 0 10px;
  }
}
